Subject: Problem with am335x (cpsw) MDIO state machine

From: Stefan Roese <[email-masked]>
Date: Fri, 22 Nov 2013 17:06:08 +0100

Hi All!

I'm currently struggling with the MDIO interface of the am335x SoC. As
its state machine continuously communicates with the potentially
available PHY devices (0...31). To determine the link status etc. But
I'm trying to communicate with am SMSC9303 switch via this MDIO
interface. It has 32bit registers organized as 2 16bit registers. These
registers need to be accessed back-to-back. Without any other frame in
between. And this is often interrupted (disturbed) by these state
machines polling frames.

Has anyone ever tried to work in this SoC with this MDIO state machine
disabled? I tried this by clearing the ENABLE bit in the MDIOCONTROL
register after each transaction. But this doesn't seem to work
(resulting in timeouts etc)?

Has anybody ever tried anything like this?

Thanks,
Stefan